Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class PageScopeContext

    java.lang.Object
      org.apache.commons.jxpath.servlet.PageScopeContext

    public class PageScopeContext

extends Object

A lightweight wrapper for `PageContext` that restricts access to attributes of the "page" scope. This object is needed so that XPath "foo" would lookup the attribute "foo" in all scopes, while "$page/foo" would only look in the "page" scope.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`PageScopeContext(PageContext pageContext)` Create a new PageScopeContext.

Method Summary
`Object` | `getAttribute(String attribute)` Get the value of the specified attribute.
`Enumeration` | `getAttributeNames()` Returns attributes of the pageContext declared in the "page" scope.
`void` | `setAttribute(String attribute, Object value)` Set the specified attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageScopeContext

    public PageScopeContext(PageContext pageContext)

  Create a new PageScopeContext.

  Parameters:
    `pageContext` - base

Method Detail

### getAttributeNames

    public Enumeration getAttributeNames()

  Returns attributes of the pageContext declared in the "page" scope.

  Returns:
    Enumeration of attribute names

### getAttribute

    public Object getAttribute(String attribute)

  Get the value of the specified attribute.

  Parameters:
    `attribute` - name
  Returns:
    Object

### setAttribute

    public void setAttribute(String attribute,
                             Object value)

  Set the specified attribute.

  Parameters:
    `attribute` - to set
    `value` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.